# GimpUi.ProcedureDialog.new

    function new(procedure: Gimp.Procedure, config: Gimp.ProcedureConfig, title: String): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_new()
    }

Creates a new dialog for procedure using widgets generated from properties of config. A null title will only be accepted if a menu label was set with Gimp.Procedure.prototype.set_menu_label (this menu label will then be used as dialog title instead). If neither an explicit label nor a procedure menu label was set, the call will fail.

As for all Gtk.Window, the returned GimpUi.ProcedureDialog object is owned by GTK and its initial reference is stored in an internal list of top-level windows. To delete the dialog, call gtk_widget_destroy().

procedure

  the associated Gimp.Procedure.

config

  a Gimp.ProcedureConfig from which properties will be turned into widgets.

title

  a dialog title.

Returns

  the newly created GimpUi.ProcedureDialog.